Updates a single file or folder by ID

http
POST https://services.leadconnectorhq.com/medias/{id}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
idstringYes686f9817f0d3165be9fbcef6Unique identifier of the file or folder to update

Body

NameTypeRequiredExampleDescription
namestringYesUpdated File Name.pdfNew name for the file or folder
altTypestringYesaccountType of entity that owns the file or folder Possible values: 'account'
altIdstringYessx6wyHhbFdRXh302LLNRAccount identifier that owns the file or folder

Responses

200 - Successful response
json
{
  "updated": true,
  "traceId": "33a641a2-c4a6-4123-aa82-c5b84f1a14ee"
}

Example

curl -X POST 'https://services.leadconnectorhq.com/medias/YOUR_id' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Updated File Name.pdf",
  "altType": "account",
  "altId": "sx6wyHhbFdRXh302LLNR"
}'

Last updated October 26, 2026

Was this page helpful?